> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user settings



## OpenAPI

````yaml /openapi.json put /users/settings
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /users/settings:
    put:
      tags:
        - Users
      summary: Update user settings
      operationId: UserController_updateUserSettings
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSettingsDto'
      responses:
        '200':
          description: The settings have been successfully updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserSettingsDto'
        '401':
          description: Unauthorized
        '404':
          description: User not found
      security:
        - bearer: []
components:
  schemas:
    UpdateSettingsDto:
      type: object
      properties:
        settings:
          $ref: '#/components/schemas/UserSettingsDto'
      required:
        - settings
    UserSettingsDto:
      type: object
      properties:
        language:
          type: string
          enum:
            - en
            - es
            - fr
            - de
            - it
            - pt
            - ru
            - zh
            - ja
            - ko
        timezone:
          type: string
        theme:
          type: string
          enum:
            - light
            - dark
        notifications:
          $ref: '#/components/schemas/NotificationConfigDto'
        preferredNotification:
          type: string
          enum:
            - email
            - slack
            - discord
            - teams
            - webhook
        emailConfig:
          type: object
        slackConfig:
          type: object
        discordConfig:
          type: object
        teamsConfig:
          type: object
        webhookConfig:
          type: object
      required:
        - language
        - timezone
        - theme
        - notifications
        - preferredNotification
    NotificationConfigDto:
      type: object
      properties:
        email:
          type: boolean
        slack:
          type: boolean
        discord:
          type: boolean
        teams:
          type: boolean
        webhook:
          type: boolean
      required:
        - email
        - slack
        - discord
        - teams
        - webhook
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````